﻿------------------------------------------------------------------------------------------
--Combat Functions------------------------------------------------------------------------
------------------------------------------------------------------------------------------
local RaidMembers = {}
local SN, L, F, T, M, _ = unpack(select(2,...))

local GetNumGroupMembers = GetNumGroupMembers
local IsInInstance = IsInInstance
local UnitAffectingCombat = UnitAffectingCombat
local UnitIsDeadOrGhost = UnitIsDeadOrGhost
local UnitIsDead = UnitIsDead

--Let's see if it's a wipe
function SN:CheckForWipe()
	local wipe = true
	local groupType = "party"
	if GetNumGroupMembers() > 6 then
		groupType = "raid"
	elseif GetNumGroupMembers() > 1 and GetNumGroupMembers() < 6 then
		groupType = "party"
	end
	if UnitIsDead("boss1") then
		wipe = false
	end
	if groupType ~= nil then 
		for i = 1, GetNumGroupMembers(), 1 do
			if UnitAffectingCombat(groupType..i) == 1 and UnitIsDeadOrGhost(groupType..i) ~= 1 then
				wipe = false
				break
			end
		end
		return wipe
	elseif groupType == nil then
		wipe = false
		return wipe
	end
end
